import discord
from discord.ext import commands


"""
Shamlessly stolen from Wikipedia's "list of colours", which exists apparently.
"""

r"""
# Code to update real colours
import re
import requests
from bs4 import BeautifulSoup


url = "https://en.wikipedia.org/w/index.php?title=List_of_colors_(compact)&action=edit"
site = requests.get(url)  # Get the site
soup = BeautifulSoup(site.text)  # Make it a soup
textarea = soup.find("textarea")  # Find the edit box

# Find the colours with regex
pattern = re.compile(r"{{Colort/ColorShort\|hex=(?P<hex>[A-F0-9]{6})\|r=[0-9 ]{3}\|g=[0-9 ]{3}\|b=[0-9 ]{3}\|h=[0-9 ]{3}\|s=[0-9 ]{3}\|v=[0-9 ]{3}\|name=\[\[(?:.+\|)?(?P<name>.+)\]\]}}")

# And now print out some sexy lil json
print("{")
for i in pattern.finditer(str(ta)):
    print(f'\t"{i.group("name").lower()}": 0x{i.group("hex")},')
print("}")
"""


COLOURS_BY_NAME = {

    # Custom colours
    "kae blue": 0x5dadec,
    "ollie yellow": 0xf5e59d,
    "poop brown": 0x7a5901,
    "stegosans": 0xf1e6a9,
    "teddy purple": 0xb19cd9,
    "medusa green": 0x173b0b,

    # Actual real colours
    "absolute zero": 0x0048BA,
    "acid green": 0xB0BF1A,
    "aero": 0x7CB9E8,
    "aero blue": 0xC9FFE5,
    "african violet": 0xB284BE,
    "air superiority blue": 0x72A0C1,
    "alabaster": 0xF2F0E6,
    "alice blue": 0xF0F8FF,
    "alizarin": 0xE32636,
    "alloy orange": 0xC46210,
    "almond": 0xEFDECD,
    "amaranth": 0xE52B50,
    "amaranth deep purple": 0x9F2B68,
    "amaranth pink": 0xF19CBB,
    "amaranth purple": 0xAB274F,
    "amaranth red": 0xD3212D,
    "amazon": 0x3B7A57,
    "amber": 0xFFBF00,
    "amber (sae/ece)": 0xFF7E00,
    "amethyst": 0x9966CC,
    "android green": 0xA4C639,
    "antique brass": 0xCD9575,
    "antique bronze": 0x665D1E,
    "antique fuchsia": 0x915C83,
    "antique ruby": 0x841B2D,
    "antique white": 0xFAEBD7,
    "ao (english)": 0x008000,
    "apple green": 0x8DB600,
    "apricot": 0xFBCEB1,
    "aqua": 0x00FFFF,
    "aquamarine": 0x7FFFD4,
    "arctic lime": 0xD0FF14,
    "army green": 0x4B5320,
    "artichoke": 0x8F9779,
    "arylide yellow": 0xE9D66B,
    "ash grey": 0xB2BEB5,
    "asparagus": 0x87A96B,
    "atomic tangerine": 0xFF9966,
    "auburn": 0xA52A2A,
    "aureolin": 0xFDEE00,
    "avocado": 0x568203,
    "azure": 0x007FFF,
    "azure (x11/web color)": 0xF0FFFF,
    "baby blue": 0x89CFF0,
    "baby blue eyes": 0xA1CAF1,
    "baby pink": 0xF4C2C2,
    "baby powder": 0xFEFEFA,
    "baker-miller pink": 0xFF91AF,
    "banana mania": 0xFAE7B5,
    "banana yellow": 0xFFE135,
    "barbie pink": 0xE0218A,
    "barn red": 0x7C0A02,
    "battleship grey": 0x848482,
    "beau blue": 0xBCD4E6,
    "beaver": 0x9F8170,
    "beige": 0xF5F5DC,
    "b'dazzled blue": 0x2E5894,
    "big dip o’ruby": 0x9C2542,
    "big foot feet": 0xE88E5A,
    "bisque": 0xFFE4C4,
    "bistre": 0x3D2B1F,
    "bistre brown": 0x967117,
    "bitter lemon": 0xCAE00D,
    "bittersweet": 0xFE6F5E,
    "bittersweet shimmer": 0xBF4F51,
    "black": 0x1,
    "black bean": 0x3D0C02,
    "black coral": 0x54626F,
    "black leather jacket": 0x253529,
    "black olive": 0x3B3C36,
    "black shadows": 0xBFAFB2,
    "blanched almond": 0xFFEBCD,
    "blast-off bronze": 0xA57164,
    "bleu de france": 0x318CE7,
    "blizzard blue": 0xACE5EE,
    "blood red": 0x660000,
    "blue": 0x0000FF,
    "blue (crayola)": 0x1F75FE,
    "blue (munsell)": 0x0093AF,
    "blue (ncs)": 0x0087BD,
    "blue (pantone)": 0x0018A8,
    "blue (pigment)": 0x333399,
    "blue bell": 0xA2A2D0,
    "blue-gray": 0x6699CC,
    "blue-green": 0x0D98BA,
    "blue jeans": 0x5DADEC,
    "blue sapphire": 0x126180,
    "blue-violet": 0x8A2BE2,
    "blue yonder": 0x5072A7,
    "blueberry": 0x4F86F7,
    "blush": 0xDE5D83,
    "bole": 0x79443B,
    "bone": 0xE3DAC9,
    "booger buster": 0xDDE26A,
    "bottle green": 0x006A4E,
    "brick red": 0xCB4154,
    "bright green": 0x66FF00,
    "bright lilac": 0xD891EF,
    "bright maroon": 0xC32148,
    "bright navy blue": 0x1974D2,
    "bright pink": 0xFF007F,
    "bright turquoise": 0x08E8DE,
    "bright yellow (crayola)": 0xFFAA1D,
    "brilliant rose": 0xF653A6,
    "brink pink": 0xFB607F,
    "british racing green": 0x004225,
    "bronze": 0xCD7F32,
    "brown": 0x964B00,
    "brown (web)": 0xA52A2A,
    "brown sugar": 0xAF6E4D,
    "brunswick green": 0x1B4D3E,
    "bud green": 0x7BB661,
    "buff": 0xF0DC82,
    "burgundy": 0x800020,
    "burlywood": 0xDEB887,
    "burnished brown": 0xA17A74,
    "burnt orange": 0xCC5500,
    "burnt sienna": 0xE97451,
    "burnt umber": 0x8A3324,
    "byzantine": 0xBD33A4,
    "byzantium": 0x702963,
    "cadet": 0x536872,
    "cadet blue": 0x5F9EA0,
    "cadet grey": 0x91A3B0,
    "cadmium green": 0x006B3C,
    "cadmium orange": 0xED872D,
    "cadmium red": 0xE30022,
    "cadmium yellow": 0xFFF600,
    "café au lait": 0xA67B5B,
    "café noir": 0x4B3621,
    "calypso": 0x42ECFF,
    "cambridge blue": 0xA3C1AD,
    "camel": 0xC19A6B,
    "cameo pink": 0xEFBBCC,
    "canary yellow": 0xFFFF99,
    "candy apple red": 0xFF0800,
    "candy pink": 0xE4717A,
    "caput mortuum": 0x592720,
    "cardinal": 0xC41E3A,
    "caribbean green": 0x00CC99,
    "carmine": 0x960018,
    "carnation pink": 0xFFA6C9,
    "carnelian": 0xB31B1B,
    "carolina blue": 0x56A0D3,
    "carrot orange": 0xED9121,
    "castleton green": 0x00563F,
    "catawba": 0x703642,
    "cedar chest": 0xCA3435,
    "celadon": 0xACE1AF,
    "celadon green": 0x2F847C,
    "celeste": 0xB2FFFF,
    "cerise": 0xDE3163,
    "cerulean": 0x007BA7,
    "cerulean blue": 0x2A52BE,
    "cerulean frost": 0x6D9BC3,
    "cerulean (crayola)": 0x1DACD6,
    "champagne": 0xF7E7CE,
    "champagne pink": 0xF1DDCF,
    "charcoal": 0x36454F,
    "charleston green": 0x232B2B,
    "charm pink": 0xE68FAC,
    "chartreuse (traditional)": 0xDFFF00,
    "chartreuse (web)": 0x7FFF00,
    "cherry blossom pink": 0xFFB7C5,
    "chestnut": 0x954535,
    "china pink": 0xDE6FA1,
    "china rose": 0xA8516E,
    "chinese red": 0xAA381E,
    "chinese violet": 0x856088,
    "chocolate (traditional)": 0x7B3F00,
    "chocolate (web)": 0xD2691E,
    "cinereous": 0x98817B,
    "cinnamon satin": 0xCD607E,
    "citrine": 0xE4D00A,
    "citron": 0x9FA91F,
    "claret": 0x7F1734,
    "cobalt blue": 0x0047AB,
    "cocoa brown": 0xD2691E,
    "coconut": 0x965A3E,
    "coffee": 0x6F4E37,
    "columbia blue": 0xC4D8E2,
    "congo pink": 0xF88379,
    "cool grey": 0x8C92AC,
    "copper": 0xB87333,
    "copper penny": 0xAD6F69,
    "copper red": 0xCB6D51,
    "copper rose": 0x996666,
    "coquelicot": 0xFF3800,
    "coral": 0xFF7F50,
    "coral pink": 0xF88379,
    "cordovan": 0x893F45,
    "cornell red": 0xB31B1B,
    "cornflower blue (web)": 0x6495ED,
    "cornflower blue (crayola)": 0x93CCEA,
    "cornsilk": 0xFFF8DC,
    "cosmic cobalt": 0x2E2D88,
    "cosmic latte": 0xFFF8E7,
    "coyote brown": 0x81613C,
    "cotton candy": 0xFFBCD9,
    "cream": 0xFFFDD0,
    "crimson": 0xDC143C,
    "crimson (ua)": 0xAF002A,
    "cultured": 0xF5F5F5,
    "cyan": 0x00FFFF,
    "cyber grape": 0x58427C,
    "cyber yellow": 0xFFD300,
    "cyclamen": 0xF56FA1,
    "dandelion": 0xDDF719,
    "dark blue": 0x00008B,
    "dark blue-gray": 0x666699,
    "dark brown": 0x654321,
    "dark byzantium": 0x5D3954,
    "dark cyan": 0x008B8B,
    "dark electric blue": 0x536878,
    "dark fuchsia": 0xA00955,
    "dark goldenrod": 0xB8860B,
    "dark green": 0x013220,
    "dark green (x11)": 0x006400,
    "dark jungle green": 0x1A2421,
    "dark khaki": 0xBDB76B,
    "dark lava": 0x483C32,
    "dark liver": 0x534B4F,
    "dark magenta": 0x8B008B,
    "dark midnight blue": 0x003366,
    "dark moss green": 0x4A5D23,
    "dark olive green": 0x556B2F,
    "dark orange": 0xFF8C00,
    "dark orchid": 0x9932CC,
    "dark pastel green": 0x03C03C,
    "dark purple": 0x301934,
    "dark raspberry": 0x872657,
    "dark red": 0x8B0000,
    "dark salmon": 0xE9967A,
    "dark sea green": 0x8FBC8F,
    "dark sienna": 0x3C1414,
    "dark sky blue": 0x8CBED6,
    "dark slate blue": 0x483D8B,
    "dark slate gray": 0x2F4F4F,
    "dark spring green": 0x177245,
    "dark tan": 0x918151,
    "dark turquoise": 0x00CED1,
    "dark vanilla": 0xD1BEA8,
    "dark violet": 0x9400D3,
    "dartmouth green": 0x00703C,
    "deep cerise": 0xDA3287,
    "deep champagne": 0xFAD6A5,
    "deep chestnut": 0xB94E48,
    "deep fuchsia": 0xC154C1,
    "deep jungle green": 0x004B49,
    "deep lemon": 0xF5C71A,
    "deep mauve": 0xD473D4,
    "deep pink": 0xFF1493,
    "deep sky blue": 0x00BFFF,
    "deep space sparkle": 0x4A646C,
    "deep taupe": 0x7E5E60,
    "denim": 0x1560BD,
    "denim blue": 0x2243B6,
    "desert": 0xC19A6B,
    "desert sand": 0xEDC9AF,
    "diamond": 0xC8E5EB,
    "dingy dungeon": 0xC53151,
    "dirt": 0x9B7653,
    "dodger blue": 0x1E90FF,
    "dogwood rose": 0xD71868,
    "duke blue": 0x00009C,
    "dutch white": 0xEFDFBB,
    "earth yellow": 0xE1A95F,
    "ebony": 0x555D50,
    "ecru": 0xC2B280,
    "eggplant": 0x614051,
    "eggshell": 0xF0EAD6,
    "egyptian blue": 0x1034A6,
    "electric blue": 0x7DF9FF,
    "electric crimson": 0xFF003F,
    "electric indigo": 0x6F00FF,
    "electric lime": 0xCCFF00,
    "electric purple": 0xBF00FF,
    "electric violet": 0x8F00FF,
    "emerald": 0x50C878,
    "eminence": 0x6C3082,
    "english lavender": 0xB48395,
    "english red": 0xAB4B52,
    "english vermillion": 0xCC474B,
    "english violet": 0x563C5C,
    "eton blue": 0x96C8A2,
    "eucalyptus": 0x44D7A8,
    "fallow": 0xC19A6B,
    "falu red": 0x801818,
    "fandango": 0xB53389,
    "fandango pink": 0xDE5285,
    "fashion fuchsia": 0xF400A1,
    "fawn": 0xE5AA70,
    "feldgrau": 0x4D5D53,
    "fern green": 0x4F7942,
    "field drab": 0x6C541E,
    "fiery rose": 0xFF5470,
    "firebrick": 0xB22222,
    "fire engine red": 0xCE2029,
    "fire opal": 0xE95C4B,
    "flame": 0xE25822,
    "flax": 0xEEDC82,
    "flirt": 0xA2006D,
    "floral white": 0xFFFAF0,
    "fluorescent blue": 0x15F4EE,
    "forest green (crayola)": 0x5FA777,
    "forest green (traditional)": 0x014421,
    "forest green (web)": 0x228B22,
    "french beige": 0xA67B5B,
    "french bistre": 0x856D4D,
    "french blue": 0x0072BB,
    "french fuchsia": 0xFD3F92,
    "french lilac": 0x86608E,
    "french lime": 0x9EFD38,
    "french mauve": 0xD473D4,
    "french pink": 0xFD6C9E,
    "french raspberry": 0xC72C48,
    "french rose": 0xF64A8A,
    "french sky blue": 0x77B5FE,
    "french violet": 0x8806CE,
    "frostbite": 0xE936A7,
    "fuchsia": 0xFF00FF,
    "fuchsia (crayola)": 0xC154C1,
    "fuchsia purple": 0xCC397B,
    "fuchsia rose": 0xC74375,
    "fulvous": 0xE48400,
    "fuzzy wuzzy": 0x87421F,
    "gainsboro": 0xDCDCDC,
    "gamboge": 0xE49B0F,
    "generic viridian": 0x007F66,
    "ghost white": 0xF8F8FF,
    "glaucous": 0x6082B6,
    "glossy grape": 0xAB92B3,
    "go green": 0x00AB66,
    "gold": 0xA57C00,
    "gold (metallic)": 0xD4AF37,
    "gold (web) (golden)": 0xFFD700,
    "gold (crayola)": 0xE6BE8A,
    "gold fusion": 0x85754E,
    "golden brown": 0x996515,
    "golden poppy": 0xFCC200,
    "golden yellow": 0xFFDF00,
    "goldenrod": 0xDAA520,
    "granite gray": 0x676767,
    "granny smith apple": 0xA8E4A0,
    "gray (web)": 0x808080,
    "gray (x11)": 0xBEBEBE,
    "green": 0x00FF00,
    "green (crayola)": 0x1CAC78,
    "green (html/css color)": 0x008000,
    "green (munsell)": 0x00A877,
    "green (ncs)": 0x009F6B,
    "green (pantone)": 0x00AD43,
    "green (pigment)": 0x00A550,
    "green (ryb)": 0x66B032,
    "green-blue": 0x1164B4,
    "green-blue (crayola)": 0x2887C8,
    "green-cyan": 0x009966,
    "green lizard": 0xA7F432,
    "green sheen": 0x6EAEA1,
    "green-yellow": 0xADFF2F,
    "green-yellow (crayola)": 0xF0E891,
    "grullo": 0xA99A86,
    "han blue": 0x446CCF,
    "han purple": 0x5218FA,
    "hansa yellow": 0xE9D66B,
    "harlequin": 0x3FFF00,
    "harvest gold": 0xDA9100,
    "heat wave": 0xFF7A00,
    "heliotrope": 0xDF73FF,
    "heliotrope gray": 0xAA98A9,
    "hollywood cerise": 0xF400A1,
    "honeydew": 0xF0FFF0,
    "honolulu blue": 0x006DB0,
    "hooker's green": 0x49796B,
    "hot fuchsia": 0xFF00C6,
    "hot magenta": 0xFF1DCE,
    "hot pink": 0xFF69B4,
    "hunter green": 0x355E3B,
    "iceberg": 0x71A6D2,
    "icterine": 0xFCF75E,
    "illuminating emerald": 0x319177,
    "imperial red": 0xED2939,
    "inchworm": 0xB2EC5D,
    "independence": 0x4C516D,
    "india green": 0x138808,
    "indian red": 0xCD5C5C,
    "indian yellow": 0xE3A857,
    "indigo": 0x4B0082,
    "indigo dye": 0x00416A,
    "international orange (aerospace)": 0xFF4F00,
    "international orange (engineering)": 0xBA160C,
    "international orange (golden gate bridge)": 0xC0362C,
    "iris": 0x5A4FCF,
    "irresistible": 0xB3446C,
    "isabelline": 0xF4F0EC,
    "italian sky blue": 0xB2FFFF,
    "ivory": 0xFFFFF0,
    "jade": 0x00A86B,
    "japanese carmine": 0x9D2933,
    "japanese violet": 0x5B3256,
    "jasmine": 0xF8DE7E,
    "jazzberry jam": 0xA50B5E,
    "jet": 0x343434,
    "jonquil": 0xF4CA16,
    "june bud": 0xBDDA57,
    "jungle green": 0x29AB87,
    "kelly green": 0x4CBB17,
    "keppel": 0x3AB09E,
    "key lime": 0xE8F48C,
    "khaki (web) (khaki)": 0xC3B091,
    "khaki (x11) (light khaki)": 0xF0E68C,
    "kobe": 0x882D17,
    "kobi": 0xE79FC4,
    "kobicha": 0x6B4423,
    "kombu green": 0x354230,
    "ksu purple": 0x512888,
    "la salle green": 0x087830,
    "languid lavender": 0xD6CADD,
    "lanzones": 0xE0BC5B,
    "lapis lazuli": 0x26619C,
    "laser lemon": 0xFFFF66,
    "laurel green": 0xA9BA9D,
    "lava": 0xCF1020,
    "lavender (floral)": 0xB57EDC,
    "lavender (web)": 0xE6E6FA,
    "lavender blue": 0xCCCCFF,
    "lavender gray": 0xC4C3D0,
    "lavender indigo": 0x9457EB,
    "lavender magenta": 0xEE82EE,
    "lavender mist": 0xE6E6FA,
    "lavender purple": 0x967BB6,
    "lavender rose": 0xFBA0E3,
    "lemon": 0xFFF700,
    "lemon chiffon": 0xFFFACD,
    "lemon curry": 0xCCA01D,
    "lemon glacier": 0xFDFF00,
    "lemon iced tea": 0xBD3000,
    "lemon lime": 0x5CFF67,
    "lemon meringue": 0xF6EABE,
    "lemon yellow": 0xFFF44F,
    "lemon yellow (crayola)": 0xFFFF9F,
    "licorice": 0x1A1110,
    "light brown": 0xB5651D,
    "light carmine pink": 0xE66771,
    "light chocolate cosmos": 0x551F2F,
    "light cobalt blue": 0x88ACE0,
    "light cornflower blue": 0x93CCEA,
    "light crimson": 0xF56991,
    "light cyan": 0xE0FFFF,
    "light french beige": 0xC8AD7F,
    "light fuchsia pink": 0xF984EF,
    "light gold": 0xB29700,
    "light grayish magenta": 0xCC99CC,
    "light medium orchid": 0xD39BCB,
    "light moss green": 0xADDFAD,
    "light orchid": 0xE6A8D7,
    "light pastel purple": 0xB19CD9,
    "light periwinkle": 0xC5CBE1,
    "light red": 0xFF3333,
    "light red ochre": 0xE97451,
    "light salmon pink": 0xFF9999,
    "light sea green": 0x20B2AA,
    "light silver": 0xD8D8D8,
    "light thulian pink": 0xE68FAC,
    "lilac": 0xC8A2C8,
    "lilac luster": 0xAE98AA,
    "lime (color wheel)": 0xBFFF00,
    "lime (web) (x11 green)": 0x00FF00,
    "lime green": 0x32CD32,
    "limerick": 0x9DC209,
    "lincoln green": 0x195905,
    "linen": 0xFAF0E6,
    "lion": 0xC19A6B,
    "liseran purple": 0xDE6FA1,
    "little boy blue": 0x6CA0DC,
    "little girl pink": 0xF8B9D4,
    "liver": 0x674C47,
    "liver (dogs)": 0xB86D29,
    "liver (organ)": 0x6C2E1F,
    "liver chestnut": 0x987456,
    "livid": 0x6699CC,
    "lotion": 0xFEFDFA,
    "lotion blue": 0x15F2FD,
    "lotion pink": 0xECCFCF,
    "lumber": 0xFFE4CD,
    "lust": 0xE62020,
    "maastricht blue": 0x001C3D,
    "macaroni and cheese": 0xFFBD88,
    "madder lake": 0xCC3336,
    "magenta": 0xFF00FF,
    "magenta (pantone)": 0xFF0090,
    "mahogany": 0xC04000,
    "maize": 0xFBEC5D,
    "maize (crayola)": 0xF2C649,
    "majorelle blue": 0x6050DC,
    "malachite": 0x0BDA51,
    "manatee": 0x979AAA,
    "mandarin": 0xF37A48,
    "mango": 0xFDBE02,
    "mango green": 0x96FF00,
    "mango tango": 0xFF8243,
    "mantis": 0x74C365,
    "mardi gras": 0x880085,
    "marigold": 0xEAA221,
    "maroon (crayola)": 0xC32148,
    "maroon (html/css)": 0x800000,
    "maroon (x11)": 0xB03060,
    "mauve": 0xE0B0FF,
    "mauve taupe": 0x915F6D,
    "mauvelous": 0xEF98AA,
    "maximum blue": 0x47ABCC,
    "maximum blue green": 0x30BFBF,
    "maximum blue purple": 0xACACE6,
    "maximum green": 0x5E8C31,
    "maximum green yellow": 0xD9E650,
    "maximum orange": 0xFF5B00,
    "maximum purple": 0x733380,
    "maximum pink": 0xF6A5F2,
    "maximum red": 0xD92121,
    "maximum red purple": 0xA63A79,
    "maximum violet": 0x892F77,
    "maximum yellow": 0xFAFA37,
    "maximum yellow red": 0xF2BA49,
    "may green": 0x4C9141,
    "maya blue": 0x73C2FB,
    "meat brown": 0xE5B73B,
    "medium aquamarine": 0x66DDAA,
    "medium blue": 0x0000CD,
    "medium candy apple red": 0xE2062C,
    "medium carmine": 0xAF4035,
    "medium champagne": 0xF3E5AB,
    "medium electric blue": 0x035096,
    "medium green": 0x037949,
    "medium jungle green": 0x1C352D,
    "medium lavender magenta": 0xDDA0DD,
    "medium orange": 0xFF7802,
    "medium orchid": 0xBA55D3,
    "medium persian blue": 0x0067A5,
    "medium pink": 0xFE6E9F,
    "medium purple": 0x9370DB,
    "medium red": 0xB10304,
    "medium red-violet": 0xBB3385,
    "medium ruby": 0xAA4069,
    "medium sea green": 0x3CB371,
    "medium sky blue": 0x80DAEB,
    "medium slate blue": 0x7B68EE,
    "medium spring bud": 0xC9DC87,
    "medium spring green": 0x00FA9A,
    "medium taupe": 0x674C47,
    "medium turquoise": 0x48D1CC,
    "medium tuscan red": 0x79443B,
    "medium vermilion": 0xD9603B,
    "medium violet": 0x65315F,
    "medium violet-red": 0xC71585,
    "medium yellow": 0xFFE302,
    "mellow apricot": 0xF8B878,
    "mellow yellow": 0xF8DE7E,
    "melon": 0xFDBCB4,
    "melon (crayola)": 0xFEBAAD,
    "menthol": 0xC1F9A2,
    "metallic blue": 0x32527B,
    "metallic bronze": 0xA97142,
    "metallic brown": 0xAC4313,
    "metallic gold": 0xD3AF37,
    "metallic green": 0x296E01,
    "metallic orange": 0xDA680F,
    "metallic pink": 0xEDA6C4,
    "metallic red": 0xA62C2B,
    "metallic seaweed": 0x0A7E8C,
    "metallic silver": 0xA8A9AD,
    "metallic sunburst": 0x9C7C38,
    "metallic violet": 0x5B0A91,
    "metallic yellow": 0xFDCC0D,
    "mexican pink": 0xE4007C,
    "microsoft blue": 0x00A2ED,
    "microsoft edge blue": 0x0078D7,
    "microsoft green": 0x7DB700,
    "microsoft red": 0xF04E1F,
    "microsoft yellow": 0xFDB900,
    "middle blue": 0x7ED4E6,
    "middle blue green": 0x8DD9CC,
    "middle blue purple": 0x8B72BE,
    "middle grey": 0x8B8680,
    "middle green": 0x4D8C57,
    "middle green yellow": 0xACBF60,
    "middle purple": 0xD982B5,
    "middle red": 0xE58E73,
    "middle red purple": 0xA55353,
    "middle yellow": 0xFFEB00,
    "middle yellow red": 0xECB176,
    "midnight": 0x702670,
    "midnight blue": 0x191970,
    "midnight green (eagle green)": 0x004953,
    "mikado yellow": 0xFFC40C,
    "milk": 0xFDFFF5,
    "milk chocolate": 0x84563C,
    "mimi pink": 0xFFDAE9,
    "mindaro": 0xE3F988,
    "ming": 0x36747D,
    "minion yellow": 0xF5E050,
    "mint": 0x3EB489,
    "mint cream": 0xF5FFFA,
    "mint green": 0x98FF98,
    "misty moss": 0xBBB477,
    "misty rose": 0xFFE4E1,
    "moccasin": 0xFAEBD7,
    "mocha": 0xBEA493,
    "mode beige": 0x967117,
    "moonstone": 0x3AA8C1,
    "moonstone blue": 0x73A9C2,
    "mordant red 19": 0xAE0C00,
    "morning blue": 0x8DA399,
    "moss green": 0x8A9A5B,
    "mountain meadow": 0x30BA8F,
    "mountbatten pink": 0x997A8D,
    "msu green": 0x18453B,
    "mud": 0x70543E,
    "mughal green": 0x306030,
    "mulberry": 0xC54B8C,
    "mulberry (crayola)": 0xC8509B,
    "mummy's tomb": 0x828E84,
    "mustard": 0xFFDB58,
    "mustard brown": 0xCD7A00,
    "mustard green": 0x6E6E30,
    "mustard yellow": 0xE1AD01,
    "myrtle green": 0x317873,
    "mystic": 0xD65282,
    "mystic maroon": 0xAD4379,
    "mystic red": 0xFF5500,
    "nadeshiko pink": 0xF6ADC6,
    "napier green": 0x2A8000,
    "naples yellow": 0xFADA5E,
    "navajo white": 0xFFDEAD,
    "navy blue": 0x000080,
    "navy blue (crayola)": 0x1974D2,
    "navy purple": 0x9457EB,
    "neon blue": 0x1B03A3,
    "neon brown": 0xC3732A,
    "neon carrot": 0xFFA343,
    "neon cyan": 0x00FEFC,
    "neon fuchsia": 0xFE4164,
    "neon gold": 0xCFAA01,
    "neon gray": 0x808080,
    "neon dark green": 0x008443,
    "neon green": 0x39FF14,
    "neon pink": 0xFE347E,
    "neon purple": 0x9457EB,
    "neon red": 0xFF1818,
    "neon scarlet": 0xFF2603,
    "neon silver": 0xCCCCCC,
    "neon tangerine": 0xF6890A,
    "neon yellow": 0xFFF700,
    "new car": 0x214FC6,
    "new york pink": 0xD7837F,
    "nickel": 0x727472,
    "nintendo red": 0xE4000F,
    "non-photo blue": 0xA4DDED,
    "nyanza": 0xE9FFDB,
    "ocean blue": 0x4F42B5,
    "ocean boat blue": 0x0077BE,
    "ocean green": 0x48BF91,
    "ochre": 0xCC7722,
    "office green": 0x008000,
    "ogre odor": 0xFD5240,
    "old burgundy": 0x43302E,
    "old gold": 0xCFB53B,
    "old heliotrope": 0x563C5C,
    "old lace": 0xFDF5E6,
    "old lavender": 0x796878,
    "old mauve": 0x673147,
    "old moss green": 0x867E36,
    "old rose": 0xC08081,
    "old silver": 0x848482,
    "olive": 0x808000,
    "olive drab (#3)": 0x6B8E23,
    "olive drab #7": 0x3C341F,
    "olive green": 0xB5B35C,
    "olivine": 0x9AB973,
    "onyx": 0x353839,
    "opal": 0xA8C3BC,
    "opera mauve": 0xB784A7,
    "orange": 0xFF6600,
    "orange (color wheel)": 0xFF7F00,
    "orange (crayola)": 0xFF7538,
    "orange (pantone)": 0xFF5800,
    "orange (ryb)": 0xFB9902,
    "orange (web)": 0xFFA500,
    "orange iced tea": 0xFF6700,
    "orange-red (crayola)": 0xFF5349,
    "orange soda": 0xE74E14,
    "orange-yellow": 0xF5BD1F,
    "orange-yellow (crayola)": 0xF8D568,
    "orchid": 0xDA70D6,
    "orchid pink": 0xF2BDCD,
    "orchid (crayola)": 0xE29CD2,
    "orioles orange": 0xFB4F14,
    "otter brown": 0x654321,
    "outer space": 0x414A4C,
    "outer space (crayola)": 0x2D383A,
    "outrageous orange": 0xFF6E4A,
    "oxblood": 0x800020,
    "oxford blue": 0x002147,
    "oxley": 0x6D9A79,
    "ou crimson red": 0x990000,
    "pacific blue": 0x1CA9C9,
    "pakistan green": 0x006600,
    "palatinate blue": 0x273BE2,
    "palatinate purple": 0x682860,
    "pale aqua": 0xBCD4E6,
    "pale blue": 0xAFEEEE,
    "pale brown": 0x987654,
    "pale carmine": 0xAF4035,
    "pale cerulean": 0x9BC4E2,
    "pale chestnut": 0xDDADAF,
    "pale copper": 0xDA8A67,
    "pale cornflower blue": 0xABCDEF,
    "pale cyan": 0x87D3F8,
    "pale gold": 0xE6BE8A,
    "pale goldenrod": 0xEEE8AA,
    "pale green": 0x98FB98,
    "pale lavender": 0xDCD0FF,
    "pale magenta": 0xF984E5,
    "pale pink": 0xFADADD,
    "pale plum": 0xDDA0DD,
    "pale robin egg blue": 0x96DED1,
    "pale silver": 0xC9C0BB,
    "pale spring bud": 0xECEBBD,
    "pale taupe": 0xBC987E,
    "pale turquoise": 0xAFEEEE,
    "pale violet": 0xCC99FF,
    "pale violet-red": 0xDB7093,
    "palm leaf": 0x6F9940,
    "pansy purple": 0x78184A,
    "paolo veronese green": 0x009B7D,
    "papaya whip": 0xFFEFD5,
    "paradise pink": 0xE63E62,
    "paris green": 0x50C878,
    "parrot pink": 0xD998A0,
    "pastel blue": 0xAEC6CF,
    "pastel brown": 0x836953,
    "pastel gray": 0xCFCFC4,
    "pastel green": 0x77DD77,
    "pastel magenta": 0xF49AC2,
    "pastel orange": 0xFFB347,
    "pastel pink": 0xDEA5A4,
    "pastel purple": 0xB39EB5,
    "pastel red": 0xFF6961,
    "pastel violet": 0xCB99C9,
    "pastel yellow": 0xFDFD96,
    "patriarch": 0x800080,
    "payne's grey": 0x536878,
    "peach": 0xFFE5B4,
    "peach (crayola)": 0xFFCBA4,
    "peach puff": 0xFFDAB9,
    "pear": 0xD1E231,
    "pearl": 0xEAE0C8,
    "pearl aqua": 0x88D8C0,
    "pearly purple": 0xB768A2,
    "peridot": 0xE6E200,
    "periwinkle": 0xCCCCFF,
    "periwinkle (crayola)": 0xC3CDE6,
    "permanent geranium lake": 0xE12C2C,
    "persian blue": 0x1C39BB,
    "persian green": 0x00A693,
    "persian indigo": 0x32127A,
    "persian orange": 0xD99058,
    "persian pink": 0xF77FBE,
    "persian plum": 0x701C1C,
    "persian red": 0xCC3333,
    "persian rose": 0xFE28A2,
    "persimmon": 0xEC5800,
    "peru": 0xCD853F,
    "petal": 0xF5E2E2,
    "pewter blue": 0x8BA8B7,
    "philippine blue": 0x0038A7,
    "philippine bronze": 0x6E3A07,
    "philippine brown": 0x5D1916,
    "philippine gold": 0xB17304,
    "philippine golden yellow": 0xFFDF00,
    "philippine gray": 0x8C8C8C,
    "philippine green": 0x008543,
    "philippine indigo": 0x00416A,
    "philippine orange": 0xFF7300,
    "philippine pink": 0xFA1A8E,
    "philippine red": 0xCE1127,
    "philippine silver": 0xB3B3B3,
    "philippine sky blue": 0x0066FF,
    "philippine violet": 0x81007F,
    "philippine yellow": 0xFECB00,
    "phlox": 0xDF00FF,
    "phthalo blue": 0x000F89,
    "phthalo green": 0x123524,
    "picton blue": 0x45B1E8,
    "pictorial carmine": 0xC30B4E,
    "piggy pink": 0xFDDDE6,
    "pine green": 0x01796F,
    "pine tree": 0x2A2F23,
    "pineapple": 0x563C0D,
    "pink": 0xDB0072,
    "pink (pantone)": 0xD74894,
    "pink diamond (ace hardware color)": 0xF6D6DE,
    "pink diamond (independent retailers colors)": 0xF0D3DC,
    "pink flamingo": 0xFC74FD,
    "pink lace": 0xFFDDF4,
    "pink pearl": 0xE7ACCF,
    "pink sherbet": 0xF78FA7,
    "pistachio": 0x93C572,
    "pixie powder": 0x391285,
    "platinum": 0xE5E4E2,
    "plum": 0x8E4585,
    "plum (web)": 0xDDA0DD,
    "plump purple": 0x5946B2,
    "poison purple": 0x7F01FE,
    "police blue": 0x374F6B,
    "polished pine": 0x5DA493,
    "pomp and power": 0x86608E,
    "portland orange": 0xFF5A36,
    "powder blue": 0xB0E0E6,
    "princess perfume": 0xFF85CF,
    "princeton orange": 0xF58025,
    "prune": 0x701C1C,
    "prussian blue": 0x003153,
    "psychedelic purple": 0xDF00FF,
    "puce": 0xCC8899,
    "puce red": 0x722F37,
    "pullman brown (ups brown)": 0x644117,
    "pumpkin": 0xFF7518,
    "purple (html)": 0x800080,
    "purple (munsell)": 0x9F00C5,
    "purple": 0xA020F0,
    "purple heart": 0x69359C,
    "purple mountain majesty": 0x9678B6,
    "purple navy": 0x4E5180,
    "purple pizzazz": 0xFE4EDA,
    "purple plum": 0x9C51B6,
    "purple taupe": 0x50404D,
    "purpureus": 0x9A4EAE,
    "quartz": 0x51484F,
    "queen blue": 0x436B95,
    "queen pink": 0xE8CCD7,
    "quick silver": 0xA6A6A6,
    "quinacridone magenta": 0x8E3A59,
    "quincy": 0x6A5445,
    "rackley": 0x5D8AA8,
    "radical red": 0xFF355E,
    "raisin black": 0x242124,
    "rajah": 0xFBAB60,
    "raspberry": 0xE30B5D,
    "raw sienna": 0xD68A59,
    "raw umber": 0x826644,
    "razzmic berry": 0x8D4E85,
    "rebecca purple": 0x663399,
    "red": 0xFF0000,
    "red (crayola)": 0xEE204D,
    "red (munsell)": 0xF2003C,
    "red (ncs)": 0xC40233,
    "red (pantone)": 0xED2939,
    "red (pigment)": 0xED1C24,
    "red (ryb)": 0xFE2712,
    "red-brown": 0xA52A2A,
    "red cola": 0xDF0118,
    "red-orange (crayola)": 0xFF681F,
    "red-orange (color wheel)": 0xFF4500,
    "red rum": 0x973A4A,
    "red salsa": 0xFD3A4A,
    "red strawberry": 0xEC0304,
    "red-violet": 0xC71585,
    "red-violet (crayola)": 0xC0448F,
    "red-violet (color wheel)": 0x922B3E,
    "redwood": 0xA45A52,
    "resolution blue": 0x002387,
    "rhythm": 0x777696,
    "rich brilliant lavender": 0xF1A7FE,
    "rich carmine": 0xD70040,
    "rich electric blue": 0x0892D0,
    "rich lavender": 0xA76BCF,
    "rich lilac": 0xB666D2,
    "rich maroon": 0xB03060,
    "rifle green": 0x444C38,
    "ripe mango": 0xFFC324,
    "roast coffee": 0x704241,
    "robin egg blue": 0x00CCCC,
    "rocket metallic": 0x8A7F80,
    "roman silver": 0x838996,
    "root beer": 0x290E05,
    "rose": 0xFF007F,
    "rose dust": 0x9E5E6F,
    "rose madder": 0xE32636,
    "royal azure": 0x0038A8,
    "royal blue": 0x4169E1,
    "royal brown": 0x523B35,
    "royal fuchsia": 0xCA2C92,
    "royal green": 0x136207,
    "royal orange": 0xF99245,
    "royal pink": 0xE73895,
    "royal red": 0x9B1C31,
    "royal purple": 0x7851A9,
    "royal yellow": 0xFADA5E,
    "ruby": 0xE0115F,
    "rufous": 0xA81C07,
    "rum": 0x9A4E40,
    "russet": 0x80461B,
    "russian green": 0x679267,
    "russian violet": 0x32174D,
    "rust": 0xB7410E,
    "rusty red": 0xDA2C43,
    "sacramento state green": 0x043927,
    "saddle brown": 0x8B4513,
    "safety orange": 0xFF7800,
    "safety orange (blaze orange)": 0xFF6700,
    "safety yellow": 0xEED202,
    "saffron": 0xF4C430,
    "sage": 0xBCB88A,
    "st. patrick's blue": 0x23297A,
    "salem": 0x177B4D,
    "salmon": 0xFA8072,
    "salmon rose": 0xE7968B,
    "salmon pink": 0xFF91A4,
    "samsung blue": 0x12279E,
    "sand": 0xC2B280,
    "sand dune": 0x967117,
    "sandstorm": 0xECD540,
    "sandy brown": 0xF4A460,
    "sandy tan": 0xFDD9B5,
    "sandy taupe": 0x967117,
    "sap green": 0x507D2A,
    "sapphire": 0x0F52BA,
    "sapphire blue": 0x0067A5,
    "sasquatch socks": 0xFF4681,
    "satin sheen gold": 0xCBA135,
    "scarlet": 0xFF2400,
    "scarlet (crayola)": 0xFD0E35,
    "schauss pink": 0xFF91AF,
    "school bus yellow": 0xFFD800,
    "screamin' green": 0x66FF66,
    "sea blue": 0x006994,
    "sea foam green": 0x9FE2BF,
    "sea green": 0x2E8B57,
    "sea green (crayola)": 0x00FFCD,
    "sea serpent": 0x4BC7CF,
    "seal brown": 0x59260B,
    "seashell": 0xFFF5EE,
    "selective yellow": 0xFFBA00,
    "sepia": 0x704214,
    "shadow": 0x8A795D,
    "shadow blue": 0x778BA5,
    "shampoo": 0xFFCFF1,
    "shamrock green": 0x009E60,
    "shandy": 0xFFE670,
    "sheen green": 0x8FD400,
    "shimmering blush": 0xD98695,
    "shiny shamrock": 0x5FA778,
    "shocking pink": 0xFC0FC0,
    "shocking pink (crayola)": 0xFF6FFF,
    "sienna": 0x882D17,
    "silver": 0xC0C0C0,
    "silver (crayola)": 0xC9C0BB,
    "silver (metallic)": 0xAAA9AD,
    "silver chalice": 0xACACAC,
    "silver foil": 0xAFB1AE,
    "silver lake blue": 0x5D89BA,
    "silver pink": 0xC4AEAD,
    "silver sand": 0xBFC1C2,
    "sinopia": 0xCB410B,
    "sizzling red": 0xFF3855,
    "sizzling sunrise": 0xFFDB00,
    "skobeloff": 0x007474,
    "sky blue": 0x87CEEB,
    "sky blue (crayola)": 0x76D7EA,
    "sky magenta": 0xCF71AF,
    "slate blue": 0x6A5ACD,
    "slate gray": 0x708090,
    "slimy green": 0x299617,
    "smalt (dark powder blue)": 0x003399,
    "smashed pumpkin": 0xFF6D3A,
    "smoke": 0x738276,
    "smokey topaz": 0x832A0D,
    "smoky black": 0x100C08,
    "soap": 0xCEC8EF,
    "solid pink": 0x893843,
    "spartan crimson": 0x9E1316,
    "space cadet": 0x1D2951,
    "spanish bistre": 0x807532,
    "spanish blue": 0x0070B8,
    "spanish carmine": 0xD10047,
    "spanish crimson": 0xE51A4C,
    "spanish green": 0x009150,
    "spanish orange": 0xE86100,
    "spanish pink": 0xF7BFBE,
    "spanish purple": 0x66033C,
    "spanish red": 0xE60026,
    "spanish sky blue": 0x00FFFF,
    "spanish violet": 0x4C2882,
    "spanish viridian": 0x007F5C,
    "spanish yellow": 0xF6B511,
    "spiro disco ball": 0x0FC0FC,
    "spring bud": 0xA7FC00,
    "spring frost": 0x87FF2A,
    "spring green": 0x00FF7F,
    "spring green (crayola)": 0xECEBBD,
    "star command blue": 0x007BB8,
    "steel blue": 0x4682B4,
    "steel pink": 0xCC33CC,
    "steel teal": 0x5F8A8B,
    "stil de grain yellow": 0xFADA5E,
    "straw": 0xE4D96F,
    "strawberry": 0xFC5A8D,
    "stop red": 0xCF142B,
    "strawberry iced tea": 0xFC5A8D,
    "strawberry red": 0xC83F49,
    "sugar plum": 0x914E75,
    "sunburnt cyclops": 0xFF404C,
    "sunglow": 0xFFCC33,
    "sunny": 0xF2F27A,
    "sunray": 0xE3AB57,
    "sunset": 0xFAD6A5,
    "sunset orange": 0xFD5E53,
    "super pink": 0xCF6BA9,
    "sweet brown": 0xA83731,
    "taffy": 0xFEA6C8,
    "tan": 0xD2B48C,
    "tan (crayola)": 0xD99A6C,
    "tangelo": 0xF94D00,
    "tangerine": 0xF28500,
    "tangerine yellow": 0xFFCC00,
    "tango pink": 0xE4717A,
    "tart orange": 0xFB4D46,
    "taupe": 0x483C32,
    "taupe gray": 0x8B8589,
    "tea green": 0xD0F0C0,
    "tea rose": 0xF88379,
    "teal": 0x008080,
    "teal blue": 0x367588,
    "teal deer": 0x99E6B3,
    "teal green": 0x00827F,
    "telemagenta": 0xCF3476,
    "temptress": 0x3C2126,
    "terra cotta": 0xE2725B,
    "thistle": 0xD8BFD8,
    "thistle (crayola)": 0xEBB0D7,
    "thulian pink": 0xDE6FA1,
    "tickle me pink": 0xFC89AC,
    "tiffany blue": 0x81D8D0,
    "tiger's eye": 0xE08D3C,
    "timberwolf": 0xDBD7D2,
    "titanium": 0x878681,
    "titanium yellow": 0xEEE600,
    "tomato": 0xFF6347,
    "tomato sauce": 0xB21807,
    "toolbox": 0x746CC0,
    "tooth": 0xFFFAFA,
    "topaz": 0xFFC87C,
    "tractor red": 0xFD0E35,
    "tropical rain forest": 0x00755E,
    "tropical violet": 0xCDA4DE,
    "true blue": 0x0073CF,
    "tufts blue": 0x3E8EDE,
    "tulip": 0xFF878D,
    "tumbleweed": 0xDEAA88,
    "turkish rose": 0xB57281,
    "turquoise": 0x40E0D0,
    "turquoise green": 0xA0D6B4,
    "turquoise surf": 0x00C5CD,
    "tuscan brown": 0x6F4E37,
    "tuscan red": 0x7C4848,
    "tuscan tan": 0xA67B5B,
    "tuscany": 0xC09999,
    "twitter blue": 0x26A7DE,
    "tyrian purple": 0x66023C,
    "ube": 0x8878C3,
    "ultramarine": 0x3F00FF,
    "ultramarine blue": 0x4166F5,
    "ultramarine blue (caran d'ache)": 0x2111EF,
    "ultra pink": 0xFF6FFF,
    "ultra red": 0xFC6C85,
    "umber": 0x635147,
    "unbleached silk": 0xFFDDCA,
    "united nations blue": 0x5B92E5,
    "unmellow yellow": 0xFFFF66,
    "up maroon": 0x7B1113,
    "upsdell red": 0xAE2029,
    "urobilin": 0xE1AD21,
    "vampire black": 0x080808,
    "van dyke brown": 0x664228,
    "vanilla": 0xF3E5AB,
    "vanilla ice": 0xF38FA9,
    "vegas gold": 0xC5B358,
    "venetian red": 0xC80815,
    "verdigris": 0x43B3AE,
    "vermilion": 0xE34234,
    "veronica": 0xA020F0,
    "very light azure": 0x74BBFB,
    "very light blue": 0x6666FF,
    "very light malachite green": 0x64E986,
    "very light tangelo": 0xFFB077,
    "very pale orange": 0xFFDFBF,
    "very pale yellow": 0xFFFFBF,
    "violet": 0x8F00FF,
    "violet (caran d'ache)": 0x6E00C0,
    "violet (color wheel)": 0x7F00FF,
    "violet (crayola)": 0x963D7F,
    "violet (ryb)": 0x8601AF,
    "violet (web)": 0xEE82EE,
    "violet-blue": 0x324AB2,
    "violet-blue (crayola)": 0x766EC8,
    "violin brown": 0x674403,
    "viridian": 0x40826D,
    "viridian green": 0x009698,
    "vista blue": 0x7C9ED9,
    "vivid auburn": 0x922724,
    "vivid burgundy": 0x9F1D35,
    "vivid cerise": 0xDA1D81,
    "vivid cerulean": 0x00AAEE,
    "vivid crimson": 0xCC0033,
    "vivid gamboge": 0xFF9900,
    "vivid mulberry": 0xB80CE3,
    "vivid orange": 0xFF5F00,
    "vivid orange peel": 0xFFA000,
    "vivid orchid": 0xCC00FF,
    "vivid raspberry": 0xFF006C,
    "vivid red": 0xF70D1A,
    "vivid red-tangelo": 0xDF6124,
    "vivid tangelo": 0xF07427,
    "vivid tangerine": 0xFFA089,
    "vivid violet": 0x9F00FF,
    "vivid yellow": 0xFFE302,
    "water": 0xD4F1F9,
    "watermelon": 0xF05C85,
    "watermelon red": 0xBF4147,
    "watermelon yellow": 0xEEFF1B,
    "waterspout": 0xA4F4F9,
    "wenge": 0x645452,
    "wheat": 0xF5DEB3,
    "white": 0xFFFFFF,
    "white chocolate": 0xEDE6D6,
    "white coffee": 0xE6E0D4,
    "wild orchid": 0xD470A2,
    "wild strawberry": 0xFF43A4,
    "wild watermelon": 0xFC6C85,
    "willpower orange": 0xFD5800,
    "windsor tan": 0xA75502,
    "wine": 0x722F37,
    "wine red": 0xB11226,
    "winter sky": 0xFF007C,
    "winter wizard": 0xA0E6FF,
    "wintergreen dream": 0x56887D,
    "wisteria": 0xC9A0DC,
    "wood brown": 0xC19A6B,
    "xanadu": 0x738678,
    "yellow": 0xFFFF00,
    "yellow (crayola)": 0xFCE883,
    "yellow (munsell)": 0xEFCC00,
    "yellow (ncs)": 0xFFD300,
    "yellow (pantone)": 0xFEDF00,
    "yellow (process)": 0xFFEF00,
    "yellow (ryb)": 0xFEFE33,
    "yellow-green": 0x9ACD32,
    "yellow-green (crayola)": 0xC5E384,
    "yellow orange": 0xFFAE42,
    "yellow orange (color wheel)": 0xFF9505,
    "yellow rose": 0xFFF000,
    "yellow sunshine": 0xFFF700,
    "yinmn blue": 0x2E5090,
    "zaffre": 0x0014A8,
    "zebra white": 0xF5F5F5,
    "zinnwaldite": 0x2C1608,
    "zomp": 0x39A78E,
}
COLOURS_BY_VALUE = {o: i for i, o in COLOURS_BY_NAME.items()}


class ColourConverter(commands.ColourConverter):
    """
    The normal Discord :class:`discord.ext.commands.ColourConverter` class but it contains a *lot*
    more colour names, as taken from Wikipedia, the CSS colour set, and a couple of extra ones
    that I thought were cute.
    """

    COLOURS_BY_NAME = COLOURS_BY_NAME
    COLOURS_BY_VALUE = COLOURS_BY_VALUE

    def __init__(self, *, allow_custom_colour_names: bool = True, allow_default_colours: bool = True):
        self.allow_custom_colour_names = allow_custom_colour_names
        self.allow_default_colours = allow_default_colours

    async def convert(self, ctx: commands.Context, argument: str):
        if self.allow_custom_colour_names:
            v = COLOURS_BY_NAME.get(argument.lower().strip())
            if v:
                x = discord.Colour(value=v)
                # x.colour_name = v
                return x
        if self.allow_default_colours:
            return await super().convert(ctx, argument)
        raise commands.BadArgument()
